import { CLASS_ATTRIBUTES, CLASS_DECLARATIONS, CLASS_FUNCTIONS } from '@master/css';

/**
 * @example styles https://regex101.com/r/HLPdsw/1
 **/ const settings = {
    includedLanguages: [
        "html",
        "php",
        "javascript",
        "typescript",
        "javascriptreact",
        "typescriptreact",
        "vue",
        "svelte",
        "rust",
        "astro",
        "markdown",
        "mdx",
        "astro"
    ],
    /**
     * @example <div class="a b">
     * @example <div className="a b">
     */ classAttributes: CLASS_ATTRIBUTES,
    /**
     * @example <div class={active ? 'a' : 'b'}>
     * @example <div className={active ? 'a' : 'b'}>
     */ classAttributeBindings: {
        "className": [
            "{",
            "}"
        ],
        "class": [
            "{",
            "}"
        ],
        "class:list": [
            "{",
            "}"
        ],
        ":class": [
            "\"",
            "\""
        ],
        "v-bind:class": [
            "\"",
            "\""
        ],
        "[class]": [
            "\"",
            "\""
        ],
        "[className]": [
            "\"",
            "\""
        ],
        "[ngClass]": [
            "\"",
            "\""
        ]
    },
    /**
     * @example const components = 'a b'
     * @example { components: { btn: 'a b' } }
     */ classDeclarations: CLASS_DECLARATIONS,
    /**
     * @example clsx('a b')
     * @example styled`a b`
     * @example .classList.add('a')
     */ classFunctions: CLASS_FUNCTIONS,
    exclude: [
        "**/.git/**",
        "**/node_modules/**",
        "**/.hg/**"
    ],
    suggestSyntax: true,
    inspectSyntax: true,
    renderSyntaxColors: true,
    editSyntaxColors: true
};

export { settings as default };
